Index: /trunk/Makefile
===================================================================
--- /trunk/Makefile	(revision 93)
+++ /trunk/Makefile	(revision 94)
@@ -337,122 +340,123 @@
 SOURCE_OBJ =  \
 	tmp/src/BFieldProp.$(ObjSuf) \
+	tmp/src/STDHEPConverter.$(ObjSuf) \
+	tmp/src/JetUtils.$(ObjSuf) \
+	tmp/src/VeryForward.$(ObjSuf) \
+	tmp/src/TriggerUtil.$(ObjSuf) \
 	tmp/src/HEPEVTConverter.$(ObjSuf) \
-	tmp/src/JetUtils.$(ObjSuf) \
+	tmp/src/SmearUtil.$(ObjSuf) \
+	tmp/src/FrogUtil.$(ObjSuf) \
+	tmp/src/TreeClasses.$(ObjSuf) \
 	tmp/src/LHEFConverter.$(ObjSuf) \
-	tmp/src/STDHEPConverter.$(ObjSuf) \
-	tmp/src/SmearUtil.$(ObjSuf) \
-	tmp/src/TreeClasses.$(ObjSuf) \
-	tmp/src/TriggerUtil.$(ObjSuf) \
-	tmp/src/VeryForward.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootTreeWriter.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/BlockClasses.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootTreeWriter.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Parameters.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_HorizontalQuadrupole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectEllipticAperture.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_Beam.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Marker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_Drift.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_HorizontalQuadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Marker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Parameters.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectEllipticAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/ranlux.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/quadtree.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/ranlux.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf) \
 	tmp/Examples/src/Analysis_Ex.$(ObjSuf)
 
+tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf): \
+	Utilities/mcfio/mcfio_Direct.c
+tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf): \
+	Utilities/mcfio/mcfio_Block.c
+tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf): \
+	Utilities/mcfio/mcf_evt_xdr.c
+tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf): \
+	Utilities/mcfio/mcf_NTuIOUtils.c
 tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf): \
 	Utilities/mcfio/mcf_NTuIOFiles.c
-tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf): \
-	Utilities/mcfio/mcf_NTuIOUtils.c
-tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf): \
-	Utilities/mcfio/mcf_evt_xdr.c
+tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf): \
+	Utilities/mcfio/mcfio_Util1.c
+tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf): \
+	Utilities/mcfio/mcf_ntubldInit.c
+tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf): \
+	Utilities/mcfio/mcfio_UserDictionary.c
 tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf): \
 	Utilities/mcfio/mcf_ntuBldDbinc.c
-tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf): \
-	Utilities/mcfio/mcf_ntubldInit.c
-tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf): \
-	Utilities/mcfio/mcfio_Block.c
-tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf): \
-	Utilities/mcfio/mcfio_Direct.c
 tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf): \
 	Utilities/mcfio/mcfio_SeqDummy.c
-tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf): \
-	Utilities/mcfio/mcfio_UserDictionary.c
-tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf): \
-	Utilities/mcfio/mcfio_Util1.c
-tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_Stdhep_xdr.c \
+tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_hepup_xdr.c \
 	Utilities/mcfio/mcfio_Dict.h \
 	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/stdhep.h \
-	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/hepeup.h \
+	Utilities/stdhep/heprup.h \
 	Utilities/stdhep/stdver.h
 tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf): \
@@ -463,11 +467,4 @@
 	Utilities/stdhep/hepev4.h \
 	Utilities/stdhep/stdtmp.h \
-	Utilities/stdhep/stdver.h
-tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_hepup_xdr.c \
-	Utilities/mcfio/mcfio_Dict.h \
-	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/hepeup.h \
-	Utilities/stdhep/heprup.h \
 	Utilities/stdhep/stdver.h
 tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf): \
@@ -498,26 +495,28 @@
 	Utilities/stdhep/stdcnt.h \
 	Utilities/stdhep/stdhep_mcfio.h
+tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_Stdhep_xdr.c \
+	Utilities/mcfio/mcfio_Dict.h \
+	Utilities/mcfio/mcf_xdr.h \
+	Utilities/stdhep/stdhep.h \
+	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/stdver.h
 STDHEP_OBJ =  \
+	tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf) \
-	tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf) \
+	tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf) \
-	tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf) \
-	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf)
-
-interface/DataConverter.h: \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
-	Utilities/ExRootAnalysis/interface/LHEF.h
-	@touch $@
+	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf) \
+	tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf)
 
 interface/TriggerUtil.h: \
@@ -525,4 +524,9 @@
 	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
 	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h
+	@touch $@
+
+interface/DataConverter.h: \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/ExRootAnalysis/interface/LHEF.h
 	@touch $@
 
Index: /trunk/Resolutions.cpp
===================================================================
--- /trunk/Resolutions.cpp	(revision 93)
+++ /trunk/Resolutions.cpp	(revision 94)
@@ -236,5 +236,5 @@
 	  
           //input generator level particle for jet algorithm	  
-          if(particle->Status == 1 && eta < DET->MAX_CALO_FWD)
+          if(particle->Status == 1 && eta < DET->CEN_max_calo_fwd)
 	    {
 	      input_particlesGEN.push_back(fastjet::PseudoJet(genMomentum.Px(),genMomentum.Py(),genMomentum.Pz(), genMomentum.E()));
@@ -246,5 +246,5 @@
 	  if( (particle->Status == 1)    &&
               ((pid != pNU1) && (pid != pNU2) && (pid != pNU3)) &&
-              (fabs(particle->Eta) < DET->MAX_CALO_FWD)
+              (fabs(particle->Eta) < DET->CEN_max_calo_fwd)
 	      )
             {
@@ -260,5 +260,5 @@
 	      case pE: // all electrons with eta < DET->MAX_CALO_FWD
                 DET->SmearElectron(recoMomentum);
-                if(recoMomentum.E() !=0 && eta < DET->MAX_TRACKER){
+                if(recoMomentum.E() !=0 && eta < DET->CEN_max_tracker){
 		  elementElec=(RESOLELEC*) branchelec->NewEntry();
 		  elementElec->E = genMomentum.E();
@@ -287,5 +287,5 @@
 	      int charge=Charge(pid);
 	      if(recoMomentum.E() !=0 && pid != pMU) {
-		if(charge == 0 || (charge !=0 && recoMomentum.Pt() >= DET->PT_TRACKS_MIN)){
+		if(charge == 0 || (charge !=0 && recoMomentum.Pt() >= DET->TRACK_ptmin)){
 		  towers.push_back(PhysicsTower(LorentzVector(recoMomentum.Px(),recoMomentum.Py(),recoMomentum.Pz(), recoMomentum.E())));
 		  input_particlesReco.push_back(fastjet::PseudoJet(recoMomentum.Px(),recoMomentum.Py(),recoMomentum.Pz(), recoMomentum.E()));
@@ -296,7 +296,7 @@
 	      if(
 		 (genMomentum.E()!=0) &&
-		 (fabs(genMomentum.Eta()) < DET->MAX_TRACKER) &&
-		 (genMomentum.Pt() > DET->PT_TRACKS_MIN ) &&     // pt too small to be taken into account
-		 ((rand()%100) < DET->TRACKING_EFF)  &&
+		 (fabs(genMomentum.Eta()) < DET->CEN_max_tracker) &&
+		 (genMomentum.Pt() > DET->TRACK_ptmin ) &&     // pt too small to be taken into account
+		 ((rand()%100) < DET->TRACK_eff)  &&
 		 (charge!=0)
 		 )
@@ -346,5 +346,5 @@
         TLorentzVector JETT(0,0,0,0);
         JETT.SetPxPyPzE(sorted_jetsReco[i].px(),sorted_jetsReco[i].py(),sorted_jetsReco[i].pz(),sorted_jetsReco[i].E());
-        if(fabs(JETT.Eta()) < (DET->MAX_TRACKER - DET->TAU_CONE_TRACKS)) 
+        if(fabs(JETT.Eta()) < (DET->CEN_max_tracker - DET->TAU_track_scone)) 
            {
             for(Int_t i=0; i<TausHadr.GetEntries();i++)
@@ -354,5 +354,5 @@
                     elementTaujet= (TAUHAD*) branchtaujet->NewEntry();
                     elementTaujet->EnergieCen = (DET->EnergySmallCone(towers,JETT.Eta(),JETT.Phi())/JETT.E());
-                    elementTaujet->NumTrack = DET->NumTracks(TrackCentral,DET->PT_TRACK_TAU,JETT.Eta(),JETT.Phi());
+                    elementTaujet->NumTrack = DET->NumTracks(TrackCentral,DET->TAU_track_pt,JETT.Eta(),JETT.Phi());
                  }
               }
Index: /trunk/VERSION
===================================================================
--- /trunk/VERSION	(revision 93)
+++ /trunk/VERSION	(revision 94)
@@ -1,1 +1,1 @@
-2.0
+1.0
Index: /trunk/interface/SmearUtil.h
===================================================================
--- /trunk/interface/SmearUtil.h	(revision 93)
+++ /trunk/interface/SmearUtil.h	(revision 94)
@@ -61,26 +61,20 @@
   
   // Detector coverage
-  float MAX_TRACKER;    // tracker pseudorapidity coverage
-  float MAX_CALO_CEN;   // central calorimeter pseudorapidity coverage
-  float MAX_CALO_FWD;   // forward calorimeter pseudorapidity coverage
-  float MAX_MU;         // muon chambers pseudorapidity coverage
-  float MIN_CALO_VFWD;  // very forward calorimeter pseudorapidity coverage
-  float MAX_CALO_VFWD;  // very forward calorimeter pseudorapidity coverage
-  float MIN_ZDC;        // coverage for Zero Degree Calorimeter, for photons and neutrons
-
-  float ZDC_S;   // distance of the Zero Degree Calorimeter, from the Interaction poin, in [m]
-  float RP220_S; // distance of the RP to the IP, in meters
-  float RP220_X; // distance of the RP to the beam, in meters
-  float FP420_S; // distance of the RP to the IP, in meters
-  float FP420_X; // distance of the RP to the beam, in meters
-
-  //Magnetic Field information
-  int TRACKING_RADIUS;                      //radius of the BField coverage
-  int TRACKING_LENGTH;                      //length of the BField coverage
-  float BFIELD_X;          
-  float BFIELD_Y;          
-  float BFIELD_Z;         
-
-  
+  float CEN_max_tracker;    // tracker pseudorapidity coverage
+  float CEN_max_calo_cen;   // central calorimeter pseudorapidity coverage
+  float CEN_max_calo_fwd;   // forward calorimeter pseudorapidity coverage
+  float CEN_max_mu;         // muon chambers pseudorapidity coverage
+
+  float VFD_min_calo_vfd;  // very forward calorimeter pseudorapidity coverage
+  float VFD_max_calo_vfd;  // very forward calorimeter pseudorapidity coverage
+  float VFD_min_zdc;        // coverage for Zero Degree Calorimeter, for photons and neutrons
+  float VFD_s_zdc;   // distance of the Zero Degree Calorimeter, from the Interaction poin, in [m]
+
+  float RP_220_s; // distance of the RP to the IP, in meters
+  float RP_220_x; // distance of the RP to the beam, in meters
+  float RP_420_s; // distance of the RP to the IP, in meters
+  float RP_420_x; // distance of the RP to the beam, in meters
+
+
   //energy resolution for electron/photon
   // \sigma/E = C + N/E + S/\sqrt{E}
@@ -103,57 +97,71 @@
   // muon smearing
   float MU_SmearPt;
- 
-  //threshold for reconstructed objetcs
-  float ELEC_pt;
-  float MUON_pt;
-  float JET_pt;
-  float GAMMA_pt;
-  float TAUJET_pt;
- 
-  //For Tau-jet definition
-  // R = sqrt (phi^2 + eta^2)
-  float TAU_CONE_ENERGY;  // radius R of the cone for tau definition, based on energy threshold
-  float TAU_CONE_TRACKS;  // radius R of the cone for tau definition, based on track number
-  float PT_TRACK_TAU;     // minimal pt [GeV] for tracks to be considered in tau definition
-  float TAU_EM_COLLIMATION; // fraction of energy required in the central part of the cone, for tau jets
-  
-  // Tracker acceptance
-  float PT_TRACKS_MIN;    // minimal pt needed to reach the calorimeter, in GeV
+  
+  //Magnetic Field information
+  int   TRACK_radius;                      //radius of the BField coverage
+  int   TRACK_length;                      //length of the BField coverage
+  float TRACK_bfield_x;
+  float TRACK_bfield_y;
+  float TRACK_bfield_z;
+  float TRACK_ptmin;    // minimal pt needed to reach the calorimeter, in GeV
+  int   TRACK_eff;       // in percent, should be an integer
+  
+
+  //Define Calorimetric towers
+  unsigned int TOWER_number;
+  float *      TOWER_eta_edges;
+  float *      TOWER_dphi;
+
+  //thresholds for reconstructed objetcs
+  float PTCUT_elec;
+  float PTCUT_muon;
+  float PTCUT_jet;
+  float PTCUT_gamma;
+  float PTCUT_taujet;
+  
+  //General jet variable
+  double JET_coneradius;
+  int    JET_jetalgo;
+  double JET_seed;
+  double JET_overlap;
+  
+  // MidPoint algorithm definition
+  double JET_M_coneareafraction;
+  int    JET_M_maxpairsize;
+  int    JET_M_maxiterations;
+  // Define Cone algorithm.
+  int    JET_C_adjacencycut;
+  int    JET_C_maxiterations;
+  int    JET_C_iratch;
+  //Define SISCone algorithm.
+  int    JET_S_npass;
+  double JET_S_protojet_ptmin;
+  
+ //For Tau-jet definition
+ // R = sqrt (phi^2 + eta^2)
+ float TAU_energy_scone;  // radius R of the cone for tau definition, based on energy threshold
+ float TAU_track_scone;  // radius R of the cone for tau definition, based on track number
+ float TAU_track_pt;     // minimal pt [GeV] for tracks to be considered in tau definition
+ float TAU_energy_frac;      // fraction of energy required in the central part of the cone, for tau jets
+ 
+ //tagging definition
+ int BTAG_b;         
+ int BTAG_mistag_c;
+ int BTAG_mistag_l;
+ 
+
+ //trigger flag
+ int FLAG_trigger;             //flag for trigger
+ int FLAG_frog;                //flag for frog display
+ int FLAG_bfield;               //flag for bfield propagation
+ int FLAG_vfd;                  //flag for very forward detector
+ 
+ int NEvents_Frog;
+
+
+
+
+
   float PT_QUARKS_MIN;    // minimal pt needed for quarks to reach the tracker, in GeV
-  int TRACKING_EFF;       // in percent, should be an integer
-  
-  //tagging definition
-  int TAGGING_B;         //
-  int MISTAGGING_C; 
-  int MISTAGGING_L; 
-  
-  //trigger flag
-  int DOTRIGGER;
-
-  double CONERADIUS;
-  int JETALGO;
-
-  //General jet variable
-  double SEEDTHRESHOLD;    
-  double OVERLAPTHRESHOLD; 
-
-  // MidPoint algorithm definition
-  double M_CONEAREAFRACTION; 
-  int    M_MAXPAIRSIZE;      
-  int    M_MAXITERATIONS;    
- 
-  // Define Cone algorithm.
-  int    C_ADJACENCYCUT;
-  int    C_MAXITERATIONS;
-  int    C_IRATCH;
-
-  //Define SISCone algorithm.
-  int NPASS;
-  double PROTOJET_PTMIN;
-
-  // Define Calorimetric towers
-  unsigned int NTOWERS;
-  float * TOWER_ETA_EDGES;
-  float * TOWER_DPHI; 
 
   // to sort a vector
Index: /trunk/src/BFieldProp.cc
===================================================================
--- /trunk/src/BFieldProp.cc	(revision 93)
+++ /trunk/src/BFieldProp.cc	(revision 94)
@@ -43,6 +43,6 @@
   
   //out of trackibg coverage?
-  if(sqrt(Xvertex1*Xvertex1+Yvertex1*Yvertex1) > TRACKING_RADIUS){return;}
-  if(fabs(Zvertex1) > TRACKING_LENGTH){return;}
+  if(sqrt(Xvertex1*Xvertex1+Yvertex1*Yvertex1) > TRACK_radius){return;}
+  if(fabs(Zvertex1) > TRACK_length){return;}
   
   float Px = Part->Px;
@@ -62,7 +62,7 @@
      double vz = pz/M;
 
-     double Bx = BFIELD_X;
-     double By = BFIELD_Y;
-     double Bz = BFIELD_Z;
+     double Bx = TRACK_bfield_x;
+     double By = TRACK_bfield_y;
+     double Bz = TRACK_bfield_z;
 
      double ax =  (q/M)*(Bz*vy - By*vz);
@@ -99,6 +99,6 @@
         z  += vz*dt;
 
-       if( (x*x+y*y) > TRACKING_RADIUS*TRACKING_RADIUS ){ x /= (x*x+y*y)/(TRACKING_RADIUS*TRACKING_RADIUS); y /= (x*x+y*y)/(TRACKING_RADIUS*TRACKING_RADIUS); break;}
-       if( fabs(z)>TRACKING_LENGTH)break;
+       if( (x*x+y*y) > TRACK_radius*TRACK_radius ){ x /= (x*x+y*y)/(TRACK_radius*TRACK_radius); y /= (x*x+y*y)/(TRACK_radius*TRACK_radius); break;}
+       if( fabs(z)>TRACK_length)break;
 
        xold = x;
Index: /trunk/src/JetUtils.cc
===================================================================
--- /trunk/src/JetUtils.cc	(revision 93)
+++ /trunk/src/JetUtils.cc	(revision 94)
@@ -17,5 +17,5 @@
 JetsUtil::JetsUtil() {
   
-  switch(JETALGO) {
+  switch(JET_jetalgo) {
   default:
   case 1: {
@@ -23,5 +23,5 @@
     // set up a CDF midpoint jet definition
 #ifdef ENABLE_PLUGIN_CDFCONES
-    plugins = new fastjet::CDFJetCluPlugin(SEEDTHRESHOLD,CONERADIUS,C_ADJACENCYCUT,C_MAXITERATIONS,C_IRATCH,OVERLAPTHRESHOLD);
+    plugins = new fastjet::CDFJetCluPlugin(JET_seed,JET_coneradius,JET_C_adjacencycut,JET_C_maxiterations,JET_C_iratch,JET_overlap);
     jet_def = fastjet::JetDefinition(plugins);
 #else
@@ -34,5 +34,5 @@
     // set up a CDF midpoint jet definition
 #ifdef ENABLE_PLUGIN_CDFCONES
-    plugins = new fastjet::CDFMidPointPlugin (SEEDTHRESHOLD,CONERADIUS,M_CONEAREAFRACTION,M_MAXPAIRSIZE,M_MAXITERATIONS,OVERLAPTHRESHOLD);
+    plugins = new fastjet::CDFMidPointPlugin (JET_seed,JET_coneradius,JET_M_coneareafraction,JET_M_maxpairsize,JET_M_maxiterations,JET_overlap);
     jet_def = fastjet::JetDefinition(plugins);
 #else
@@ -45,5 +45,5 @@
     // set up a siscone jet definition
 #ifdef ENABLE_PLUGIN_SISCONE
-    plugins = new fastjet::SISConePlugin (CONERADIUS,OVERLAPTHRESHOLD,NPASS, PROTOJET_PTMIN);
+    plugins = new fastjet::SISConePlugin (JET_coneradius,JET_overlap,JET_S_npass, JET_S_protojet_ptmin);
     jet_def = fastjet::JetDefinition(plugins);
 #else
@@ -54,15 +54,15 @@
     
   case 4: {
-    jet_def = fastjet::JetDefinition(fastjet::kt_algorithm, CONERADIUS);
+    jet_def = fastjet::JetDefinition(fastjet::kt_algorithm, JET_coneradius);
   }
     break;
     
   case 5: {
-    jet_def = fastjet::JetDefinition(fastjet::cambridge_algorithm,CONERADIUS);
+    jet_def = fastjet::JetDefinition(fastjet::cambridge_algorithm,JET_coneradius);
   }
     break;
     
   case 6: {
-    jet_def = fastjet::JetDefinition(fastjet::antikt_algorithm,CONERADIUS);
+    jet_def = fastjet::JetDefinition(fastjet::antikt_algorithm,JET_coneradius);
   }
     break;
@@ -96,5 +96,5 @@
   for (unsigned int i = 0; i < sorted_jets.size(); i++) {
     JET.SetPxPyPzE(sorted_jets[i].px(),sorted_jets[i].py(),sorted_jets[i].pz(),sorted_jets[i].E());
-    if(JET.Pt() > JET_pt)
+    if(JET.Pt() > PTCUT_jet)
       {
 	elementJet = (TRootJet*) branchJet->NewEntry();
@@ -102,5 +102,5 @@
 	// b-jets
 	bool btag=false;
-	if((fabs(JET.Eta()) < MAX_TRACKER && Btaggedjet(JET, NFCentralQ)))btag=true;
+	if((fabs(JET.Eta()) < CEN_max_tracker && Btaggedjet(JET, NFCentralQ)))btag=true;
 	elementJet->Btag = btag;
       }
@@ -116,10 +116,10 @@
     JET.SetPxPyPzE(sorted_jets[i].px(),sorted_jets[i].py(),sorted_jets[i].pz(),sorted_jets[i].E());
     // Tau jet identification : 1! track and electromagnetic collimation
-    if(fabs(JET.Eta()) < (MAX_TRACKER - TAU_CONE_TRACKS)) {
+    if(fabs(JET.Eta()) < (CEN_max_tracker - TAU_track_scone)) {
       double Energie_tau_central = EnergySmallCone(towers,JET.Eta(),JET.Phi());
       if(
-	 ( Energie_tau_central/JET.E() > TAU_EM_COLLIMATION ) &&
-	 ( NumTracks(TrackCentral,PT_TRACK_TAU,JET.Eta(),JET.Phi()) == 1 ) &&
-	 ( JET.Pt() > TAUJET_pt)
+	 ( Energie_tau_central/JET.E() > TAU_energy_frac ) &&
+	 ( NumTracks(TrackCentral,TAU_track_pt,JET.Eta(),JET.Phi()) == 1 ) &&
+	 ( JET.Pt() > PTCUT_taujet)
 	 ) {
 	elementTauJet = (TRootTauJet*) branchTauJet->NewEntry();
